from django.conf.urls import url

from .views import IngListView, IngDetailView, IngUpdateView, IngCreateView, RecipesListView, RecipesDetailView, RecipesUpdateView, RecipesCreateView, OrdersListView, OrdersDetailView, OrdersUpdateView, OrdersCreateView


urlpatterns = [
	url(r'^ingredients/list$', IngListView.as_view(), name='ingredients_list'),
	url(r'^ingredients/detail$', IngDetailView.as_view(), name='ingredients_detail'),
	url(r'^ingredients/update/form$', IngUpdateView.as_view(), name='ingredients_update_form'),
	url(r'^ingredients/create/form$', IngCreateView.as_view(), name='ingredients_create_form'),

	url(r'^recipes/list$', RecipesListView.as_view(), name='recipes_list'),
	url(r'^recipes/detail$', RecipesDetailView.as_view(), name='recipes_detail'),
	url(r'^recipes/update/form$', RecipesUpdateView.as_view(), name='recipes_update_form'),
	url(r'^recipes/create/form$', RecipesCreateView.as_view(), name='recipes_create_form'),

	url(r'^orders/list$', OrdersListView.as_view(), name='orders_list'),
	url(r'^orders/detail$', OrdersDetailView.as_view(), name='orders_detail'),
	url(r'^orders/update/form$', OrdersUpdateView.as_view(), name='orders_update_form'),
	url(r'^orders/create/form$', OrdersCreateView.as_view(), name='orders_create_form')
]