from django.test import TestCase


class IngListTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/ingredients/list')
		self.assertTemplateUsed(response, 'ingredients_list.html')


class IngDetailTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/ingredients/detail')
		self.assertTemplateUsed(response, 'ingredients_detail.html')


class IngUpdateTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/ingredients/update/form')
		self.assertTemplateUsed(response, 'ingredients_update_form.html')


class IngCreateTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/ingredients/create/form')
		self.assertTemplateUsed(response, 'ingredients_create_form.html')


class RecipesListTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/recipes/list')
		self.assertTemplateUsed(response, 'recipes_list.html')


class RecipesDetailTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/recipes/detail')
		self.assertTemplateUsed(response, 'recipes_detail.html')


class RecipesUpdateTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/recipes/update/form')
		self.assertTemplateUsed(response, 'recipes_update_form.html')


class RecipesCreateTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/recipes/create/form')
		self.assertTemplateUsed(response, 'recipes_create_form.html')


class OrdersListTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/orders/list')
		self.assertTemplateUsed(response, 'orders_list.html')


class OrdersDetailTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/orders/detail')
		self.assertTemplateUsed(response, 'orders_detail.html')


class OrdersUpdateTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/orders/update/form')
		self.assertTemplateUsed(response, 'orders_update_form.html')


class OrdersCreateTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/orders/create/form')
		self.assertTemplateUsed(response, 'orders_create_form.html')